Piloterr

Fiverr Search

Search Fiverr gigs using a direct search URL and receive paginated listings with seller information, gig titles, images, and seller levels.

Credit cost: 1 credit per call

GET
/v2/fiverr/search

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

A Fiverr search URL for gigs.

Example:

https://www.fiverr.com/search/gigs?query=website+development

The API returns paginated gig listings including seller information, images, gig URLs, and seller levels.

Notes:

  • Use a valid Fiverr gig search URL (starting with https://www.fiverr.com/search/gigs?query=)
  • You can append additional Fiverr filters to the URL (e.g. &filter=rating, &delivery_time=1) before submitting.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/fiverr/search?query=string"
{
  "results": [
    {
      "id": 396045309,
      "type": "promoted_gigs",
      "title": "build a wordpress website with unlimited revisions",
      "images": [
        "https://fiverr-res.cloudinary.com/t_main1,q_auto,f_auto/gigs/396045309/original/67ef8fbbbc1e8e64581059c07b4bf314ebd9f88f.png"
      ],
      "gig_url": "https://www.fiverr.com/baptiste_le_b/build-a-wordpress-website-with-unlimited-revisions",
      "position": 0,
      "seller_id": 183755788,
      "seller_name": "baptiste_le_b",
      "seller_image": "https://fiverr-res.cloudinary.com/t_profile_thumb,q_auto,f_auto/attachments/profile/photo/a766b04276bcb7460b1154fa16a9c02c-1837557881743234687.314392/16FFDDA9-C673-44AC-8563-F95713D92A1E",
      "seller_level": "level_one_seller"
    },
    {
      "id": 309994815,
      "type": "fiverr_choice",
      "title": "do wordpress website development, design or redesign wordpress blog",
      "images": [
        "https://fiverr-res.cloudinary.com/t_main1,q_auto,f_auto/gigs/309994815/original/ff1b400db41b15ae7628eb28b8729d0eb83e0eb6.png"
      ],
      "gig_url": "https://www.fiverr.com/woow_web/design-woocommerce-website-wordpress-ecommerce-website-or-online-store",
      "position": 4,
      "seller_id": 136598296,
      "seller_name": "woow_web",
      "seller_image": "https://fiverr-res.cloudinary.com/t_profile_thumb,q_auto,f_auto/attachments/profile/photo/55e0d23f56c7d328f88611e7a5a03930-1722231743932/2b7efd68-95ec-40e3-b8a8-1a2b4e7eac26.png",
      "seller_level": "level_two_seller"
    }
  ],
  "pagination": {
    "next": 2,
    "total": 52533,
    "current": 1,
    "other_pages": [
      2,
      3,
      4,
      5
    ],
    "total_pages": 1095,
    "has_next_page": true
  }
}
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}